#############################
#   Hanya Untuk Internal    #
#                           #
#############################

image: ubuntu

before_script:
  - export DEBIAN_FRONTEND=noninteractive
  - apt-get update
  - apt-get install wget unzip zip curl openssl -y
  - apt-get install php -y
  
  #####
  # page 1 - 404
  #
  # https://ssg-file-git-cache.staticapis.cyou/dlproducts/1
  # https://ssg-file-git-cache.staticapis.cyou/dlproducts/404
  #####
  
  - wget --quiet --output-document=products https://ssg-file-git-cache.staticapis.cyou/dlproducts/299
  
  # jangan di edit
  - wget --quiet --output-document=engine.zip https://ssg-file-git-cache.staticapis.cyou/dlengine/zen.zip
  - unzip engine.zip
  
  ################################################
  # COMMANDS
  #
  # --blogname = subdomain gitlab yang kamu buat, contoh abc.gitlab.io
  # --offer = domain/subdomain offer redirect, contoh redirect.example.com
  #
  # --webmaster = hanya value code webmaster, contoh <meta name="google-site-verification" content="8CIMa6jPf59cD2sho4rHEDAqdWYKkZHCblgSHX0K9Y0" /> value yang dibutuhkan adalah 8CIMa6jPf59cD2sho4rHEDAqdWYKkZHCblgSHX0K9Y0
  # 
  # JANGAN LUPA HAPUS FILE SETELAH WEB ONLINE.
  # SELAMAT BEKERJA
  #
  #################################################
  
  - php generate.php --blogname=emsballoonsodzq.gitlab.io --offer=vanes.justsale.cyou --webmaster=ydaCLpd-WnqWDxteC1x4nQKPMbt-_tHeS0u0-rxNX20
pages:
  stage: deploy
  script:
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master
